News:

You may pay someone to create your store, or you visit our seminar and become a professional yourself with the silver certification

Main Menu

Can't update VM as Membership

Started by ViPeS, April 29, 2023, 10:48:14 AM

Previous topic - Next topic

ViPeS

To @Max Milbers
I am Membership Bronze.
I have downloaded several updates
VM 4.0.14.10805 March 23
VM 4.0.016.10830 April 19
VM 4.0.016.10836 April 23
On April 22, I tried to download the update VM 4.0.016.10836 twice, but it did not go through to the end.
But now on the download site I got a message
"WARNING
Maximum number of downloads 5 in the set interval 30 reached"
.
I know that update 4.0.18.10847 is out, but I'm not prompted to download it.
Please, clarify updates for Membership.
VM 4.2.14 11022, Joomla 4.4.5, PHP 8.1.13

ViPeS

The download link did not appear.
Now I can update the VM through the admin panel. But the update failed with an error
Failed to extract file: mods_virtuemart_languages_vendor_extract_first.zip
This module is supplied separately and is probably not included in the package, but is specified in the xml file, which causes the error.
In addition, the path to the news is given https://www.virtuemart.net/news/512-bugfix-release-4-0-20-compatible-joomla-4-3-and-php8-2-mysql8
which is not yet on the site.
VM 4.2.14 11022, Joomla 4.4.5, PHP 8.1.13

ViPeS

The news appeared on the site https://www.virtuemart.net/news/512-bugfix-release-4-0-20-compatible-joomla-4-3-and-php8-2-mysql8.
But the update failed with another error
Failed to extract file: index.php_option_com_virtuemart_view_plugin_name_istraxx_download_byhost_amp_dlkey_UFlEVzAzNjAyNTpwX1lHZ....
The package download link did not appear in page MY ORDERS / DOWNLOADS.
VM 4.2.14 11022, Joomla 4.4.5, PHP 8.1.13

jenkinhill

From Milbo:
Just in case if someone comes to the forum, that the download does not work and shows something like. index.php_option_com_virtuemart_view_plugin_name_istraxx_download_byhost
It is very likely an outdated key, they just should need to use the new key displayed in their downloads
Kelvyn
Lowestoft, Suffolk, UK

Retired from forum life November 2023

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

ViPeS

To @jenkinhill
I don't have an outdated key.
In the admin panel of the VM, I have a valid key set - otherwise there would be a yellow message (1 screenshot).
I received my key on 2022-09-28 and it is still valid until 2023-09-28. The same key is present in the download link (screenshot 2).
If I follow this link, I get to the site extensions.virtuemart.net, where an error is thrown (screenshot 3).
WARNING : Maximum number of downloads 5 in the set interval 30 reached
What is this warning?
Above, I wrote that I downloaded the package 5 times. But if the limit is set to 30, then why am I not getting a download link?
VM 4.2.14 11022, Joomla 4.4.5, PHP 8.1.13

Milbo

Hello ViPeS,

First I increased the downloas for 30 days to 10. We never had so many updates in such a short time.
Second, Jenkinhill meant not that your license is outdated, but the key. I updated today again the download module, so it should also work with the old key.

Quote from: ViPeS on May 03, 2023, 15:29:45 PM
The download link did not appear.
Now I can update the VM through the admin panel. But the update failed with an error
Failed to extract file: mods_virtuemart_languages_vendor_extract_first.zip
This module is supplied separately and is probably not included in the package, but is specified in the xml file, which causes the error.
Yes the new keys have now also the download sku, so we can differ the download even the media id changed (first problem, I accidently uploaded the file as new meda and did not replace it, so the trouble startet).


Quote from: ViPeS on May 03, 2023, 15:29:45 PM
In addition, the path to the news is given https://www.virtuemart.net/news/512-bugfix-release-4-0-20-compatible-joomla-4-3-and-php8-2-mysql8
which is not yet on the site.
Yepp, that should be fixed
Should I fix your bug, please support the VirtueMart project and become a member
______________________________________
Extensions approved by the core team: http://extensions.virtuemart.net/

ViPeS

Hello, Milbo!
The VM update was successful with the old key.
Only issued a warning: "No checksum found on the update server."
And the keys differ in the ending.
Maybe it will be useful in future work for you.
Received and entered a new key.
Thanks for your work!
VM 4.2.14 11022, Joomla 4.4.5, PHP 8.1.13

ViPeS

An error with an incomprehensible key is generated when trying to upgrade the VM through "Extensions: Update".
Upgrading VM com_virtuemart.4.0.22.10864_package_or_extract.zip via "Extensions: Install ---> Upload & Install Joomla Extension" was successful.
VM 4.2.14 11022, Joomla 4.4.5, PHP 8.1.13